Bug 515081 - Review Request: R-affy - Methods for Affymetrix Oligonucleotide Arrays
Summary: Review Request: R-affy - Methods for Affymetrix Oligonucleotide Arrays
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 515080
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-01 18:07 UTC by Pierre-YvesChibon
Modified: 2009-09-04 04:04 UTC (History)
2 users (show)

Fixed In Version: 1.22.1-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-04 03:59:36 UTC
Type: ---
j: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Pierre-YvesChibon 2009-08-01 18:07:35 UTC
Spec URL: http://pingou.fedorapeople.org/RPMs/R-affy.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs/R-affy-1.22.0-1.fc11.src.rpm
Description: 
The package contains functions for exploratory oligonucleotide array 
analysis. 

The dependance to tkWidgets only concerns few convenience 
functions. 'affy' is fully  functional without it.

Comment 1 Jason Tibbitts 2009-08-01 20:15:43 UTC
This one doesn't build for me:

gcc -m64 -std=gnu99 -I/usr/include/R -DHAVE_ZLIB=1  -I/usr/local/include    -fpic  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -c rma2.c -o rma2.o                                                      
rma2.c:109:29: error: rma_background4.h: No such file or directory
rma2.c:120:45: error: preprocessCore_background_stubs.c: No such file or directory
rma2.c:121:48: error: preprocessCore_normalization_stubs.c: No such file or directory
rma2.c:122:48: error: preprocessCore_summarization_stubs.c: No such file or directory
rma2.c:124:31: error: R_subColSummarize.h: No such file or directory
rma2.c:125:37: error: R_subColSummarize_stubs.c: No such file or directory
rma2.c: In function 'do_RMA2':
rma2.c:134: warning: implicit declaration of function 'R_subColSummarize_medianpolish_log'
rma2.c:134: warning: assignment makes pointer from integer without a cast
rma2.c: In function 'rma_c_call':
rma2.c:186: warning: implicit declaration of function 'qnorm_c'
rma2.c: In function 'rma_c_complete':
rma2.c:247: warning: implicit declaration of function 'rma_bg_correct'
make: *** [rma2.o] Error 1
ERROR: compilation failed for package 'affy'

A scratch build is at http://koji.fedoraproject.org/koji/taskinfo?taskID=1572805

Comment 2 Jason Tibbitts 2009-08-01 20:25:54 UTC
I'm also concerned that this has the same licensing issue as preprocessCore.   Only src/rma2.c carries any license information, and it says GPLv2+.

Comment 3 Pierre-YvesChibon 2009-08-01 20:30:24 UTC
This one need R-preprocessCore to build (and I am seing that both R-affyio and
R-preprocessCore are not listed while they should...)

There are the updated version:
Spec URL: http://pingou.fedorapeople.org/RPMs/R-affy.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs/R-affy-1.22.0-2.fc11.src.rpm


I will also contact upstream for this library then.

Thanks

Comment 4 Pierre-YvesChibon 2009-08-02 09:57:00 UTC
There is the answer from upstream to my email:

> Pierre,
> 
> It should all be LGPL. Do you need me to go in and change it or is this
> email enough?
> 
> Good luck!
> -r

Comment 5 Pierre-YvesChibon 2009-08-04 08:40:23 UTC
cvs has been updated:
https://hedgehog.fhcrc.org/bioconductor/trunk/madman/Rpacks/affy/src/rma2.c

Comment 6 Jason Tibbitts 2009-08-05 01:26:06 UTC
Setting the blocker since this won't build until R-preprocessCore is in rawhide.

Comment 7 Pierre-YvesChibon 2009-08-13 11:11:42 UTC
License tag has been corrected in the cvs:
http://fgc.lsi.umich.edu/cgi-bin/blosxom3.cgi/affy 

R-preprocessCore is in stable now :-)

Comment 8 Jason Tibbitts 2009-08-19 19:08:08 UTC
Did you want to somehow update this package to include the proper licensing information?  Either the updated source with proper licensing information or the email from the author clarifying the license needs to make it into the package.  If I download the srpm from comment #3, and just look at what's in the package, the licensing situation is still unclear.

Comment 9 Pierre-YvesChibon 2009-08-19 19:28:46 UTC
There is a new upstream release that correct the license issue

There are the updated version:
Spec URL: http://pingou.fedorapeople.org/RPMs/R-affy.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs/R-affy-1.22.1-1.fc11.src.rpm

Comment 10 Jason Tibbitts 2009-08-19 19:56:33 UTC
That fails to compile for me.

gcc -m64 -std=gnu99 -I/usr/include/R -DHAVE_ZLIB=1  -I/usr/local/include -I"/usr/lib64/R/library/preprocessCore/include"   -fpic  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -c rma2.c -o rma2.o       
rma2.c:109:29: error: rma_background4.h: No such file or directory                                                                        
rma2.c:120:45: error: preprocessCore_background_stubs.c: No such file or directory                                                        
rma2.c:121:48: error: preprocessCore_normalization_stubs.c: No such file or directory                                                     
rma2.c:122:48: error: preprocessCore_summarization_stubs.c: No such file or directory                                                     
rma2.c:124:31: error: R_subColSummarize.h: No such file or directory
rma2.c:125:37: error: R_subColSummarize_stubs.c: No such file or directory
rma2.c: In function 'do_RMA2':
rma2.c:134: warning: implicit declaration of function 'R_subColSummarize_medianpolish_log'
rma2.c:134: warning: assignment makes pointer from integer without a cast
rma2.c: In function 'rma_c_call':
rma2.c:186: warning: implicit declaration of function 'qnorm_c'
rma2.c: In function 'rma_c_complete':
rma2.c:247: warning: implicit declaration of function 'rma_bg_correct'
make: *** [rma2.o] Error 1
ERROR: compilation failed for package 'affy'

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1615456

Comment 11 Pierre-YvesChibon 2009-08-19 20:15:07 UTC
Damn stupid mistake... I forgot to use R-preprocessCore-devel in the BR.

Corrected in :
Spec URL: http://pingou.fedorapeople.org/RPMs/R-affy.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs/R-affy-1.22.1-2.fc11.src.rpm

Comment 12 Pierre-YvesChibon 2009-08-20 07:51:58 UTC
scratch build F11 :
http://koji.fedoraproject.org/koji/taskinfo?taskID=1616636

Comment 13 Pierre-YvesChibon 2009-08-27 20:37:33 UTC
hm, do we still miss something ?

Comment 14 Jason Tibbitts 2009-08-28 02:33:50 UTC
Hmm, I had typed up a whole review and thought I was waiting on you, but now that I look at the ticket I don't see any of it.  Sorry about that; I'll do it again.

Comment 15 Jason Tibbitts 2009-08-28 04:44:01 UTC
OK, it indeed builds fine and rpmlint has only the expected two complaints.
You probably want "dependency" instead of "dependance" in %description.

Note also that the templates in the R guidelines changed from using "tetex-latex" to "tex(latex)" to use what modern tex packages use and to prepare for the next texlive upheaval.  I'm sure the texlive packages will provide the old symbols for compatibility so the existing packages won't break, but at some point I guess they'll need to be fixed up.

* source files match upstream.  sha256sum:            
   b04fb91a451f75504c939e4d2b5eff6bd65ab1bf3f7417e293c8267e16fb60c8
   affy_1.22.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   affy.so()(64bit)
   R-affy = 1.22.1-2.fc12
   R-affy(x86-64) = 1.22.1-2.fc12
  =
   /bin/sh
   R
   R >= 2.8.0
   R-Biobase
   R-affyio
   R-preprocessCore
   R-tkWidgets
   libR.so()(64bit)
   libz.so.1()(64bit)

* %check is necessarily disabled.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files.
* scriptlets are OK (R package registration).
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 16 Pierre-YvesChibon 2009-08-28 13:34:34 UTC
Thanks a lot for the review :)
I'll do the two correction before importing in the CVS.


New Package CVS Request
=======================
Package Name: R-affy
Short Description:  Methods for Affymetrix Oligonucleotide Arrays
Owners: pingou
Branches: F-10, F-11
InitialCC:

Comment 17 Jason Tibbitts 2009-08-28 15:55:57 UTC
Don't forget to set the fedora-cvs flag; otherwise most CVS admins won't see your request.

CVS done.

Comment 18 Pierre-YvesChibon 2009-08-30 20:16:04 UTC
Thanks about that :)
(and sorry for the tag, I forgot)

Comment 19 Fedora Update System 2009-08-30 20:37:50 UTC
R-affy-1.22.1-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/R-affy-1.22.1-3.fc10

Comment 20 Fedora Update System 2009-08-30 20:37:56 UTC
R-affy-1.22.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/R-affy-1.22.1-3.fc11

Comment 21 Fedora Update System 2009-08-31 23:35:18 UTC
R-affy-1.22.1-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-affy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9146

Comment 22 Fedora Update System 2009-08-31 23:40:31 UTC
R-affy-1.22.1-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-affy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9181

Comment 23 Fedora Update System 2009-09-04 03:59:30 UTC
R-affy-1.22.1-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2009-09-04 04:04:35 UTC
R-affy-1.22.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.